import { SdlWindow } from '../sdl-window/sdl-window';
export declare class SdlPerformance implements Performance {
    private window;
    readonly navigation: PerformanceNavigation;
    onresourcetimingbufferfull: ((this: Performance, ev: Event) => any) | null;
    readonly timeOrigin: number;
    readonly timing: PerformanceTiming;
    constructor(window: SdlWindow);
    addEventListener(type: any, listener: any, options?: boolean | AddEventListenerOptions): void;
    clearMarks(markName?: string): void;
    clearMeasures(measureName?: string): void;
    clearResourceTimings(): void;
    dispatchEvent(event: Event): boolean;
    getEntries(): PerformanceEntryList;
    getEntriesByName(name: string, type?: string): PerformanceEntryList;
    getEntriesByType(type: string): PerformanceEntryList;
    mark(markName: string): void;
    measure(measureName: string, startMark?: string, endMark?: string): void;
    now(): number;
    removeEventListener(type: any, listener: any, options?: boolean | EventListenerOptions): void;
    setResourceTimingBufferSize(maxSize: number): void;
    toJSON(): any;
}
